# Uses of Enum Class
org.eclipse.e4.ui.workbench.modeling.EPartService.PartState

Packages that use EPartService.PartState
Package
Description
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of EPartService.PartState in org.eclipse.e4.ui.workbench.modeling

Subclasses with type arguments of type EPartService.PartState in org.eclipse.e4.ui.workbench.modeling
Modifier and Type
Class
Description
`static enum`
`EPartService.PartState`
Applicable states that a part can be in.
Methods in org.eclipse.e4.ui.workbench.modeling that return EPartService.PartState
Modifier and Type
Method
Description
`static EPartService.PartState`
EPartService.PartState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EPartService.PartState[]`
EPartService.PartState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type EPartService.PartState
Modifier and Type
Method
Description
`MPart`
EPartService.`showPart(String id, EPartService.PartState partState)`
Shows a part with the identified by the given id.
`MPart`
EPartService.`showPart(MPart part, EPartService.PartState partState)`
Shows the given part.